Get a category
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 7017,
"resource": "category",
"slug": "mobility",
"name": {
"de": "Mobilität",
"en": "Mobility"
},
"description": null,
"iconUrl": null,
"position": 1,
"status": "active",
"createdAt": "2026-09-01T08:00:00Z",
"updatedAt": "2026-09-01T08:00:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/categories/7017",
"type": "application/json"
}
}
}
}Catalog
Get a category
Returns one active category. Archived or unknown categories answer 404 category-not-found.
Required permissions: view-consumer-catalog · API keys: allowed
GET
/
consumer
/
v1
/
catalog
/
categories
/
{categoryId}
Get a category
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/catalog/categories/{categoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 7017,
"resource": "category",
"slug": "mobility",
"name": {
"de": "Mobilität",
"en": "Mobility"
},
"description": null,
"iconUrl": null,
"position": 1,
"status": "active",
"createdAt": "2026-09-01T08:00:00Z",
"updatedAt": "2026-09-01T08:00:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/categories/7017",
"type": "application/json"
}
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Id of the category. Unsigned 64-bit integer (ids and large counters). May exceed 2^53; parse with a BigInt-safe JSON parser in JavaScript.
Required range:
0 <= x <= 18446744073709552000Response
OK
Single-object envelope around a ConsumerCategory.
An active category (managed by AllRide).
Show child attributes
Show child attributes